/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/08/08 18:19:17
 */
import { html, css, Component } from 'wkit'
import 'ui/icon/index.js'

class Sidebar extends Component {
  static props = {
    foo: ''
  }

  static styles = [
    css`
      .list {
        width: 200px;
        height: 100%;
        border-right: 1px solid var(--color-grey-1);
        color: var(--color-dark-1);
      }

      .item {
        display: flex;
        align-items: center;
        height: 48px;
        padding: 0 12px;
        --wc-icon-size: 16px;
      }

      .item:hover {
        background: var(--color-plain-1);
      }

      .item.active {
        background: var(--color-blue-1);
        color: #fff;
      }

      wc-icon {
        margin-right: 6px;
      }
    `
  ]

  render() {
    return html`
      <div class="list">
        <router-link class="item" :to=${{ path: '/' }}>
          <wc-icon name="home"></wc-icon>
          <span>官方源</span>
        </router-link>

        <router-link class="item" :to=${{ path: '/3rd' }}>
          <wc-icon name="app"></wc-icon>
          <span>第三方源</span>
        </router-link>

        <router-link class="item" :to=${{ path: '/keys' }}>
          <wc-icon name="key"></wc-icon>
          <span>密钥</span>
        </router-link>
      </div>
    `
  }
}

Sidebar.reg('sidebar')
